Subject: Re: regression: ti: cpsw: warning from phy_connect()->sysfs_create_link()-sysfs_warn_dup()

From: Andrew Lunn <[email-masked]>
Date: Wed, 14 Mar 2018 23:48:55 +0100

> I've got additional testing data and this actually a *regression*, because 
> second CPSW Port became broken after above commits due to Net PHY 
> connection failure.

Hi Grygorii

I'm not sure this works by design, more by chance. And i think this is
the only MAC driver which does this. Can i suggest you test net-next
frequently, and review phylib patches, because i expect it will break
again unless you keep a close eye on changes. Developers simply don't
expect two phys connected to one MAC.

       Thanks
	Andrew